# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetIntegerAttribute

Function

Adds a named attribute with an integer value to an Object.

Syntax
`
#include <dx/dx.h>
`

Object DXSetIntegerAttribute(Object o, char *name, int x)

Functional Details

Creates an Array containing the integer value `x` and then adds an attribute/value pair to the Object `o`. `name` specifies the name of the attribute and `x` represents its value. If `name` specifies an attribute that the Object `o` already has, then its previous value is replaced.

Return Value

Returns `o` or returns `NULL` and sets an error code.

See Also

`DXGetIntegerAttribute, DXSetAttribute, DXDeleteAttribute, DXSetComponentAttribute, DXSetFloatAttribute, DXSetStringAttribute`

"Object Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]